repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.0.1  # Use the ref you want to point at
    hooks:
    - id: trailing-whitespace
    - id: check-merge-conflict
    - id: trailing-whitespace
  - repo: local
    hooks:
      - id: gib-validate
        name: Validate json files
        language: golang
        additional_dependencies: [gitlab.com/gitlab-com/gl-security/product-security/gib@latest]
        entry: gib
        args: ['validate', '--quick']
        files: ^data/
        types_or: [json, yaml]
        pass_filenames: false
